## khronos-opencl-clhpp 2.0.10

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10-1) unstable; urgency=medium

  * Initial release (Closes: #837112)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 08 Sep 2016 21:38:17 +0200
