=== debian/control ===
Source: khronos-opencl-clhpp
Section: libdevel
Priority: extra
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>=9),
               opencl-c-headers,
               cmake,
               python,
               ocl-icd-opencl-dev,
               doxygen
Standards-Version: 3.9.8
Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
Vcs-Git: https://anonscm.debian.org/pkg-opencl/khronos-opencl-clhpp.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-clhpp.git

Package: opencl-clhpp-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: opencl-clhpp-headers-doc
Breaks: opencl-headers (<<2.1)
Replaces: opencl-headers (<<2.1)
Description: C++ headers for OpenCL development
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the C++ development header files for the OpenCL API
 as published by The Khronos Group Inc. The corresponding specification and
 documentation can be found on the Khronos website.

Package: opencl-clhpp-headers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for C++ OpenCL headers
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the documentation of the C++ development header files
 for the OpenCL API as published by The Khronos Group Inc.
