## khronos-opencl-clhpp 2.0.10+git12-g5dd8bb9

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10+git12-g5dd8bb9-1) unstable; urgency=medium

  * New upstream snapshot.  (Closes: #853474)
  * debian/mksnapshot.sh: New script to generate upstream snapshot tarballs.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.3.
  * Switch to debhelper compat level 11.
  * Set Rules-Requires-Root: no.
  * Add myself to Uploaders.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Deduplicate *.js in the documentation.
  * hardening.patch: New, append to CMAKE_CXX_FLAGS, do not overwrite.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Jan 2018 02:39:34 +0100
