=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: khronos-opencl-clhpp
 Section: libdevel
-Priority: extra
+Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>=9),
+Uploaders: Vincent Danjean <vdanjean@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends: debhelper (>= 11~),
                opencl-c-headers,
                cmake,
                python,
                ocl-icd-opencl-dev,
-               doxygen
-Standards-Version: 3.9.8
+               doxygen,
+               hardlink,
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
-Vcs-Git: https://anonscm.debian.org/pkg-opencl/khronos-opencl-clhpp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-clhpp.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
+Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
 
 Package: opencl-clhpp-headers
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: opencl-clhpp-headers-doc
-Breaks: opencl-headers (<<2.1)
-Replaces: opencl-headers (<<2.1)
+Breaks: opencl-headers (<< 2.1)
+Replaces: opencl-headers (<< 2.1)
 Description: C++ headers for OpenCL development
  OpenCL (Open Computing Language) is a multi-vendor open standard for
  general-purpose parallel programming of heterogeneous systems that include
