=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 
 # dh_make generated override targets
@@ -34,3 +34,8 @@
 override_dh_auto_clean:
 	$(MAKE) -C debian/t clean
 	dh_auto_clean
+
+override_dh_installdocs:
+	dh_installdocs
+	# deduplicate *.js
+	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search
