## khronos-opencl-clhpp 2.0.10+git26

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,8 @@
     set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x86 )
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 else()
-  set(OPENCL_DIST_DIR "Hello" CACHE PATH "OpenCL source dir")
-  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-    set(OPENCL_LIB_DIR "" )
-  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-    set(OPENCL_LIB_DIR "" )
-  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )  
+  set(OPENCL_DIST_DIR "" CACHE PATH "OpenCL source dir")
+  set(OPENCL_LIB_DIR "${OPENCL_DIST_DIR}/lib" CACHE PATH "OpenCL library dir" )
 endif()
 
 if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
@@ -35,8 +31,8 @@
 endif()
 
 set(OPENCL_INCLUDE_DIR ${OPENCL_DIST_DIR}/include CACHE PATH "OpenCL source dir")
-set(UNITY_DIR $ENV{UNITY_DIR} CACHE PATH "Unity dir")
-set(CMOCK_DIR $ENV{CMOCK_DIR} CACHE PATH "CMock dir")
+set(UNITY_DIR ${PROJECT_SOURCE_DIR}/external/Unity CACHE PATH "Unity dir")
+set(CMOCK_DIR ${PROJECT_SOURCE_DIR}/external/CMock CACHE PATH "CMock dir")
 
 if(BUILD_DOCS)
 add_subdirectory(docs)
