## khronos-opencl-clhpp 2.0.10+git26-g806646c

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10+git26-g806646c-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * The MIT license we use is actually the Expat variant.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 15:37:04 +0100

khronos-opencl-clhpp (2.0.10+git23-gf0b7045-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Add debian/upstream/metadata.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 20:34:01 +0100
