=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                opencl-c-headers,
                cmake,
                python,
@@ -12,7 +12,7 @@
                doxygen,
                hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
