=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_auto_test:
	dh_auto_test -- examples
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

override_dh_auto_clean:
	$(MAKE) -C debian/t clean
	dh_auto_clean

override_dh_installdocs:
	dh_installdocs
	# deduplicate *.js
	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search
