## khronos-opencl-clhpp 2.1.0~~git51-gc5063c3

=== debian/changelog ===
khronos-opencl-clhpp (2.1.0~~git51-gc5063c3-1) unstable; urgency=medium

  * New upstream snapshot.
  * The headers are no longer automatically generated during build.
  * Test header generation with python3.  (Closes: #936791)
  * Bump Standards-Version to 4.4.0 (no changes needed).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2019 16:42:05 +0200
