=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 12),
                opencl-c-headers,
                cmake,
-               python,
+               python3,
                ocl-icd-opencl-dev,
                doxygen,
                hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
