## khronos-opencl-clhpp 2.2.0~~2.0.11+git9-g0192662

=== debian/changelog ===
khronos-opencl-clhpp (2.2.0~~2.0.11+git9-g0192662-1) unstable; urgency=medium

  * New upstream snapshot.
  * Khronos relicensed the headers under Apache-2.0.
  * Relicense the packaging under Apache-2.0, too.
  * Add 'khronos' and 'tarball' targets to simplify snapshot generation.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 May 2020 11:44:02 +0200
