=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                opencl-c-headers,
                cmake,
                python3,
                ocl-icd-opencl-dev,
                doxygen,
-               hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
