=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,22 @@
 	$(MAKE) -C debian/t
 endif
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
-	dh_auto_clean
 
-override_dh_installdocs:
-	dh_installdocs
-	# deduplicate *.js
-	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search
+
+ifneq (,$(wildcard .git))
+khronos:
+	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
+	git fetch $@ --prune
+
+tarball: COMMIT ?= khronos/master
+tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
+tarball: COMMIT_DESCRIBE = $(patsubst v%,%,$(shell git describe --long --tags $(COMMIT)))
+tarball: COMMIT_VERSION = $(firstword $(subst -, ,$(COMMIT_DESCRIBE)))
+tarball: PREFIX = OpenCL-CLHPP-$(COMMIT_VERSION)+git$(patsubst $(COMMIT_VERSION)-%,%,$(COMMIT_DESCRIBE))
+tarball:
+	test -n "$(COMMIT)"
+	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
+	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz
+endif
