## khronos-opencl-clhpp 3.0~2.0.13

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(src)
