=== debian/changelog ===
khronos-opencl-clhpp (3.0~2.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jan 2021 14:50:18 +0100

khronos-opencl-clhpp (2.2.0~~2.0.12+git7-g64c206f-1) unstable; urgency=medium

  * New upstream snapshot.
    - CL/cl.hpp is gone
    - CL/cl2.hpp is now CL/opencl.hpp
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Nov 2020 00:37:35 +0100
