=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                opencl-c-headers,
                cmake,
-               python3,
                ocl-icd-opencl-dev,
                doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
