=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 override_dh_auto_test:
 	dh_auto_test -- examples
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	tests/check-cl-hpp-generation.sh
 	$(MAKE) -C debian/t
 endif
