=== include/CMakeLists.txt ===
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/CL
        DESTINATION include
        FILES_MATCHING
        PATTERN "*.hpp"
        )
