=== debian/changelog ===
khronos-opencl-clhpp (3.0~2.0.15-1ubuntu1) jammy; urgency=medium

  * Don't build the examples; this is an arch: independent package so testing
    them on only the build arch doesn't make sense, these should be moved to
    autopkgtests.  For now, just drop the examples and the build-dependency
    on ocl-icd-opencl-dev to break a build loop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Oct 2021 19:52:36 +0000

khronos-opencl-clhpp (3.0~2.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Add superficial autopkgtest trying to compile the headers.
  * Add dependency on opencl-c-headers.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Aug 2021 01:17:49 +0200
