=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: khronos-opencl-clhpp
 Section: libdevel
 Priority: optional
-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               opencl-c-headers,
+               opencl-c-headers (>= 3.0~2021.04.29),
                cmake,
-               ocl-icd-opencl-dev,
                doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
@@ -18,7 +18,7 @@
 Package: opencl-clhpp-headers
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: opencl-c-headers (>= 3.0~2021.04.29), ${misc:Depends}
 Suggests: opencl-clhpp-headers-doc
 Breaks: opencl-headers (<< 2.1)
 Replaces: opencl-headers (<< 2.1)
