=== debian/tests/control ===
Tests: compile-headers
Depends: opencl-clhpp-headers, g++
Restrictions: superficial, allow-stderr
