## khronos-opencl-clhpp 3.0~2022.05.18

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2022.05.18-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jun 2022 09:38:40 -0700

khronos-opencl-clhpp (3.0~2022.05.18-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream's new cmake build system.
  * Add support for the <nodoc> build profile.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Jun 2022 01:31:28 +0200

khronos-opencl-clhpp (3.0~2.0.16-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 08:38:44 -0700

khronos-opencl-clhpp (3.0~2.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Add component tarballs 'cmock' and 'unity'.
  * Fix building tests in parallel.
  * Run upstream testsuite at build time.
  * Add support for the <nocheck> build profile to break a bootstrap
    dependency loop: disable the B-D: ocl-icd-opencl-dev and do not build
    examples or tests.  (Closes: #996980)
  * Add autopkgtest that runs the upstream testsuite.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Jan 2022 00:57:06 +0100
