=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                opencl-c-headers (>= 3.0~2021.04.29),
                cmake,
-               doxygen,
+ doxygen <!nodoc>,
+ graphviz <!nodoc>,
+ python-is-python3 <!nocheck>,
+ ruby <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
@@ -35,6 +38,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}
 Description: documentation for C++ OpenCL headers
  OpenCL (Open Computing Language) is a multi-vendor open standard for
