=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,19 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DBUILD_EXAMPLES=OFF \
+		-DOPENCL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DCMOCK_DIR=$(CURDIR)/cmock \
+		-DUNITY_DIR=$(CURDIR)/unity \
+		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_EXAMPLES=OFF) \
+		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_TESTS=OFF) \
 
 override_dh_auto_build:
 	dh_auto_build -- all docs
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+execute_after_dh_auto_test:
 	$(MAKE) -C debian/t
-endif
 
 execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
