## khronos-opencl-clhpp 3.0~2022.09.30

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2022.09.30-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 22:22:24 -0800

khronos-opencl-clhpp (3.0~2022.09.30-1) unstable; urgency=medium

  * New upstream release.
  * Deduplicate documentation.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 14:36:45 +0200
