=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                cmake,
  doxygen <!nodoc>,
  graphviz <!nodoc>,
+ hardlink <!nodoc>,
  python-is-python3 <!nocheck>,
  ruby <!nocheck>,
 Rules-Requires-Root: no
