=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installdeb:
+	hardlink -v -t debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers
+endif
+
 
 ifneq (,$(wildcard .git))
 khronos:
